summaryrefslogtreecommitdiffstats
path: root/PCBSD/pc-sysinstall/backend-query/.svn/text-base/list-tzones.sh.svn-base
diff options
context:
space:
mode:
Diffstat (limited to 'PCBSD/pc-sysinstall/backend-query/.svn/text-base/list-tzones.sh.svn-base')
-rw-r--r--PCBSD/pc-sysinstall/backend-query/.svn/text-base/list-tzones.sh.svn-base18
1 files changed, 18 insertions, 0 deletions
diff --git a/PCBSD/pc-sysinstall/backend-query/.svn/text-base/list-tzones.sh.svn-base b/PCBSD/pc-sysinstall/backend-query/.svn/text-base/list-tzones.sh.svn-base
new file mode 100644
index 0000000..38bae91
--- /dev/null
+++ b/PCBSD/pc-sysinstall/backend-query/.svn/text-base/list-tzones.sh.svn-base
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+rm ${TMPDIR}/.tzonetmp >/dev/null 2>/dev/null
+
+# Backend script which lists all the available timezones for front-ends to display
+while read line
+do
+ echo "$line" | grep "^#" >/dev/null 2>/dev/null
+ if [ "$?" != "0" ]
+ then
+ echo "$line" | tr -s "\t" ":" | cut -d ":" -f 3-4 >>${TMPDIR}/.tzonetmp
+ fi
+done < /usr/share/zoneinfo/zone.tab
+
+sort ${TMPDIR}/.tzonetmp
+rm ${TMPDIR}/.tzonetmp >/dev/null 2>/dev/null
+
+exit 0
OpenPOWER on IntegriCloud